/* Project-wide style */

@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@400;700&display=swap');

*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Nunito', sans-serif;
}

html {
  font-size: 10px;
  font-family: 'Nunito', sans-serif;
}

body {
  font-family: 'Nunito', sans-serif;
  background-color: #1D2D50;
  padding: 10px;
  font-size: 2vh;
  margin-bottom: 30px;
}

/* Main Page */
.container_judul {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 100px;
}

.landing_judul {
  font-size: 6.65vh;
  text-align: center;
  margin-right: 20px;
  color: white;
}

.tidak_ada_artikel {
  font-size: 2vh;
  text-align: center;
  color: white;
}

.container_articles {
  display: flex;
  flex-direction: row;
  flex-flow: row wrap;
  justify-content: center;
  margin-top: 50px;
}

.single_artikel {
  margin: 20px;
  width: 300px;
  padding: 10px;
  background-color: #FCDAB7;
  border-radius: 10px;
}

.container_gambar {
  width: 100%;
  height: 155px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.gambar_artikel {
  max-height: 100%;
  max-width: 100%;
  border-radius: 10px;
}

.isi_artikel {
  margin-top: 20px;
  margin-bottom: 20px;
  color: #1D2D50;
  overflow-wrap: break-word;
}

.hapus_dan_lanjutan {
  display: flex;
  flex-direction: row;
  margin-top: 20px;
}

.hapus_dan_lanjutan button {
  margin-right: 5px;
}

#btnselengkapnya {
  font-size: 1.5vh;
}

#btnHapusmain {
  font-size: 1.5vh;
}

.tanggal_kategori {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 20px;
}

.tanggal_main {
  color: #1D2D50;
}

.kategori {
  color: #1D2D50;
}

.judul_artikel {
  color: #1D2D50;
  font-weight: bold;
  overflow-wrap: break-word;
}

/* Main Page (END) */

/* Form Page */
.container_form {
  padding-right: 350px;
  padding-left: 350px;
  margin-bottom: 90px;
}

#formUtama div {
  color: white;
}

#formUtama div input {
}

#submitButton {
  font-size: 2vh;
}

#id_isi_artikel {
  font-size: 2vh;
}

#id_judul {
  font-size: 2vh;
}

#id_penulis {
  font-size: 2vh;
}

#id_tanggal {
  font-size: 2vh;
}

#id_kategori {
  font-size: 2vh;
}
/* Form Page (END) */

/* Halaman Selengkapnya*/
.container_satu_judul {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 100px;
}

.sebuah_judul_artikel {
  font-size: 5vh;
  /*width: 700px;*/
  color: white;
  overflow-wrap: break-word;
  display: table;
  width: 100%;
  table-layout: fixed;
}

.container_tanggal_sub {
  display: flex;
  justify-content: left;
  align-items: center;
  width: 100%;
}

.tanggal_sub {
  /*width: 600px;*/
  margin-top: 20px;
  margin-bottom: 20px;
  color: white;
}

.container_isi_artikel {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-bottom: 90px;
}

.container_satu_gambar {
  width: 500px;
}

.isi_artikel_sub {
  display: table;
  width: 100%;
  table-layout: fixed;
  margin-top: 20px;
  /*width: 700px;*/
  font-size: 2.2vh;
  color: white;
  overflow-wrap: break-word;
}

.gambar_artikel_sub {
  max-width: 100%;
  max-height: 100%;
  border-radius: 10px;
}


/* Halaman Selengkapnya (END)*/

/* Konfirm Page */

.container_konfirmasi {
  margin-top: 100px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

#btntidak {
  width: 100px;
  font-size: 2vh;
}

#btnyakin {
  width: 100px;
  font-size: 2vh;
  margin-left: 50px;
}

/* Konfirm Page (END)*/

.btn-logout {
    background-color: #FCDAB7;
    color: #1D2D50;
    border-style: unset;
    width: 100px;
    height: 30px;
    border-radius: 5px;
    transform: translateY(-4px);
}

.no-login {
  color: white;
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
}

.no-login p {
  margin-right: 20px;
}

.btn_kiri {
  width: 25px;
  color: #FCDAB7;
  background-color: #1D2D50;
  border-color: white;
}

.btn_kanan {
  width: 25px;
  color: #FCDAB7;
  background-color: #1D2D50;
  border-color: white;
}

.btn_search_cont {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
  width: 100%;
}

.searchButton {
  width: 200px;
  height: 40px;
  font-size: 2.5vh;
  background-color: #FCDAB7;
  color: #1D2D50;
  border-radius: 10px 10px 10px 10px;
  border-color: #1E5F74;
  border-style: solid;
}

.searchButton2 {
  width: 60px;
  height: 40px;
  font-size: 2.5vh;
  background-color: #FCDAB7;
  color: #1D2D50;
  border-radius: 0px 10px 10px 0px;
  border-color: #1E5F74;
  border-style: solid;
  display: none;
}

#keyword {
  width: 30%;
  height: 40px;
  border-radius: 10px 0px 0px 10px;
  border-width: 2px;
  font-size: 2vh;
  border-color: #1E5F74;
  display: none;
}

.search_logo {
  max-width: 70%;
  max-height: 70%;
}

#id_gambar_artikel {
  width: 60%;
}


.main_selengkapnya {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 700px;
}

.wrapper_sel {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

/* The alert message box */
.alert {
  padding: 20px;
  background-color: green;
  color: white;
  margin-bottom: 15px;
  margin-top: 15px;
}

/* The close button */
.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}

/* When moving the mouse over the close button */
.closebtn:hover {
  color: black;
}

/* Navbar*/
.navbar-nav li {
  margin: 10px;
}

.navbar-brand {
  margin-left: 10px;
}

nav{
  background: rgba(0, 0, 0, 0.5);
  opacity: 100%;
  padding: 0;
  margin: 0;
  padding-bottom: 0;
  position: relative;
}
.navbar-nav{
  margin-left: auto;
  opacity: 100%;

}
.navbar img{
  margin-left: 60px;
}
.navbar a{
  margin-right: 30px;
  font-family: 'Nunito', sans-serif;
  font-size: 2.3vh;
  font-weight: 500;
  letter-spacing: 0.5px;
  color: white !important;
}

@media screen and (max-width:1025px){
  .navbar img{
      width: 30px;
      margin-left: 10px;
  }
  .navbar a{
      font-size: 2.3vh;
  }
  /* Navbar (END)*/

  .container_form {
    padding-right: 20px;
    padding-left: 20px;
    margin-top: 50px;
  }
  .isi_artikel_sub {
    width: 100%;
  }

  .container_satu_gambar {
    width: 300px;
  }

  .container_satu_judul {
    padding-left: 15px;
    padding-right: 15px;
  }

  .container_tanggal_sub {
    padding-left: 15px;
    padding-right: 15px;
  }

  .container_isi_artikel {
    padding-left: 15px;
    padding-right: 15px;
  }

  .container_judul {
    flex-direction: column;
  }
  .landing_judul {
    margin-bottom: 20px;
    margin-right: 0px;
  }

  .isi_artikel_sub {
    padding-left: 0px;
  }

  #formHapus {
    width: 100px;
  }

  .container_konfirmasi {
    flex-direction: column;
    margin-top: 50px;

  }

  #btnyakin {
    margin-left: 0px;
    margin-top: 10px;
  }

  .container_articles {
    align-items: unset;
  }

  .single_artikel {
    height: auto;
  }

  .judul_artikel {
    height: unset;
}

  .tanggal_sub {
    font-size: 1.6vh;
  }

  .no-login p {
    margin: 0px;
  }

  #keyword {
    width: 50%;
  }

}

@media screen and (max-width:330px) {
  .container_satu_gambar {
    width: 230px;
    margin-top: 15px;
  }

  .container_form {
    padding: 5px;
  }
}

@media screen and (min-width:700px) and (max-width: 1024px) {
  .container_satu_gambar {
    width: 500px;
    margin-top: 15px;
  }

  #btntidak {
    width: 150px;
  }

  .container_judul {
    padding-left: 20px;
    padding-right: 20px;
    margin-top: 200px;
  }
  #btnyakin {
    width: 150px;
  }

  .isi_artikel_sub {
    padding: 0px 100px;
  }

  .sebuah_judul_artikel {
    width: 700px;
  }

  .single_artikel {
    min-width: 700px;
    padding: 10px 20px;
  }

  .container_articles {
    padding: 0px 10vh;
  }

  .container_gambar {
    height: 350px;
  }

  .tanggal_sub {
    width: 700px;
  }

  #keyword {
    height: 60px;
  }

  .searchButton2 {
    height: 60px;
    width: 100px;
  }

  .searchButton {
    height: 60px;
  }

  .btn_kiri {
    width: 50px;
  }

  .btn_kanan {
    width: 50px;
  }

  .container_tanggal_sub {
    justify-content: center;
  }

  .btn-logout {
    width: 150px;
    height: 50px;
  }
}

@media screen and (min-width:700px) and (max-width: 1024px) and (max-height: 1024px) {
  .sebuah_judul_artikel {
    width: 500px;
  }
  .tanggal_sub {
    width: 500px;
  }
}
